// The Swift Programming Language
// https://docs.swift.org/swift-book

import Alamofire
import Foundation

//protocol for BaseNetworkService
public protocol BaseNetworkServiceProtocol {
    func execute(path: String, method: HTTPMethod, headers: HTTPHeaders, parameters: Parameters?) async throws -> Data
    func configure(baseURL: String)
}
