//
//  File.swift
//  NetworkApi
//
//  Created by User on 27.05.2025.
//

import Foundation

public protocol NetworkUserProtocol {
    func login(identity: String, password: String) async throws -> ServerResponseAuth
    func register(email: String, password: String, passwordConfirm: String, firstname: String, lastname: String, secondname: String, datebirthday: String, gender: String) async throws -> ServerResponseRegister
    func addUser(idUser: String, email: String, firstname: String, lastname: String, secondname: String, datebirthday: String, gender: String, token: String) async throws -> ServerResponseRegister
    func getIdToken(token: String) async throws -> String
    func deleteUser(idToken: String, token: String) async throws
}
